sidplay(1)

NAME
sidplay — Music player and C64 SID chip emulator

SYNOPSIS

sidplay options datafile |-

DESCRIPTION

Sidplayer is a music player program that emulates the the Sound Interface Device chip (MOS 6581, commonly called SID) and the Micro Processor Unit (MOS 6510), allowing you to play music files written for Commodore 64 on a modern computer.

All you need is audio hardware with average PCM waveform playback capabilities. A fast CPU and a 16-bit sound card are recommended for better performance and slightly better audio quality.

OPTIONS

-h, --help
    show summary of options

-v  verbose output

-f num
    set frequency in Hz (default: 22050)

-o num
    set song number (default: preset)

-a  strict PlaySID song compatibility (deprecated!)

-a2 bank switching mode (overrides -a)

-16 enable 16-bit sample mixing

-s  enable stereo playback

-ss enable stereo surround

-pc enable centered auto-panning (stereo only)

-n  set NTSC clock speed (default: PAL)

-nf no SID filter emulation

-ns MOS 8580 waveforms (default: MOS 6581)

-c  force song speed = clock speed (PAL/NTSC)

-t num
    set play time in [[h:]m:]s format

-bn num
    set number of audio buffer fragments to use

-bs num
    set size 2 num of audio buffer fragments

-b num
    set sample buffer size

SEE ALSO

xsidplay (1).

AUTHOR
This manual page was written by Jarno Elonen (elonen@iki.fi) for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.